This is the latest official patch for Sid Meier's Alpha Centauri, better known as the Windows 2000/XP Compatibility Update. If you have the Alien Crossfire expansion pack, make sure you update that to v2.0 first before applying this update, as the expansion's patch also appears to include the previous (v4.0) patch for vanilla Alpha Centauri.

Alpha Centauri v5.0 Patch (2000/XP Compat. Update)

Related to Patch

Only registered members can share their thoughts. So come on! Join the community today and join in the conversation.

You are not logged in, join the community or sign in with your social account: